Loading...
Searching...
No Matches
gridfire::utils::ColumnBase Class Referenceabstract

`#include <table_format.h>`

Inheritance diagram for gridfire::utils::ColumnBase:
[legend]

## Public Member Functions

virtual | ~ColumnBase ()=default
virtual std::string | getCellData (size_t rowIndex) const =0
virtual std::string | getHeader () const =0
virtual size_t | getRowCount () const =0

## Constructor & Destructor Documentation

## ~ColumnBase()

virtual gridfire::utils::ColumnBase::~ColumnBase | ( |  | ) |

virtualdefault

## Member Function Documentation

## getCellData()

virtual std::string gridfire::utils::ColumnBase::getCellData | ( | size_t | rowIndex | ) | const

nodiscardpure virtual

Implemented in gridfire::utils::Column< T >.

## getHeader()

virtual std::string gridfire::utils::ColumnBase::getHeader | ( |  | ) | const

nodiscardpure virtual

Implemented in gridfire::utils::Column< T >.

## getRowCount()

virtual size_t gridfire::utils::ColumnBase::getRowCount | ( |  | ) | const

nodiscardpure virtual

Implemented in gridfire::utils::Column< T >.

The documentation for this class was generated from the following file:

- src/include/gridfire/utils/table_format.h